<html>
<head>
<title>OGRE: Ogre::FileSystemArchive Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1FileSystemArchive.html">FileSystemArchive</a></div>
<h1>Ogre::FileSystemArchive Class Reference</h1><!-- doxytag: class="Ogre::FileSystemArchive" --><!-- doxytag: inherits="Ogre::Archive" -->Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from filesystem folders / directories.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreFileSystem_8h-source.html">OgreFileSystem.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::FileSystemArchive:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1FileSystemArchive-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#d111ff8850ae6536219562a5906dc6de">FileSystemArchive</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;archType)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#d89960cb80cf490a23cab7b909ffa092">~FileSystemArchive</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#c3a99075db0a1e06ee0a856dfa05f5a9">isCaseSensitive</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether this archive is case sensitive in the way it matches files.   <a href="#c3a99075db0a1e06ee0a856dfa05f5a9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#f3fbf5feb7c3875831d22808b3545d75">load</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Loads the archive. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This initializes all the internal data of the class. </dd></dl>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is ment to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
  <a href="#f3fbf5feb7c3875831d22808b3545d75"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#8364eb430fccfbe249b64c0dd29c2cb5">unload</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unloads the archive. <p>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is ment to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
  <a href="#8364eb430fccfbe249b64c0dd29c2cb5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#7c642fb75a5b88aa8bb0366e94302a1a">open</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Open a stream on a given file. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>There is no equivalent 'close' method; the returned stream controls the lifecycle of this file operation. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>The fully qualified name of the file </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A shared pointer to a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> which can be used to read / write the file. If the file is not present, returns a null shared pointer. </dd></dl>
  <a href="#7c642fb75a5b88aa8bb0366e94302a1a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">StringVectorPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#5907d6e8da20de62af12d564d9fbd279">list</a> (bool recursive=true, bool dirs=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List all file names in the archive. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using listFileInfo. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
  <a href="#5907d6e8da20de62af12d564d9fbd279"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">FileInfoListPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#ebb587510a65222aca84fa6f8eb69e0f">listFileInfo</a> (bool recursive=true, bool dirs=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List all files in the archive with accompanying information. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of structures detailing quite a lot of information about all the files in the archive. </dd></dl>
  <a href="#ebb587510a65222aca84fa6f8eb69e0f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">StringVectorPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#47dc8d47bb6a6738a85f62f816bfd7f8">find</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive=true, bool dirs=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find all file or directory names matching a given pattern in this archive. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using findFileInfo. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
  <a href="#47dc8d47bb6a6738a85f62f816bfd7f8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">FileInfoListPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#2d9eb31d4d17fdb4b35c5ad1c739f1be">findFileInfo</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive=true, bool dirs=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find all files or directories matching a given pattern in this archive and get some detailed information about them. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of file information structures for all files matching the criteria. </dd></dl>
  <a href="#2d9eb31d4d17fdb4b35c5ad1c739f1be"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#fa703d83c696b6b78dc7efe8114e468e">exists</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find out if the named file exists (note: fully qualified filename required).   <a href="#fa703d83c696b6b78dc7efe8114e468e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a4860f997861f44b61a436d55cdcc66b">getName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the name of this archive.  <a href="#a4860f997861f44b61a436d55cdcc66b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#b0fe79a8deba20a1cc1301f68805b621">getType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the type code of this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a>.  <a href="#b0fe79a8deba20a1cc1301f68805b621"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html#5220c8a24a86cde1343dc0442f0a11b1">findFiles</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive, bool dirs, <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> *simpleList, <a class="el" href="namespaceOgre.html#d87d047326eb42275e3f24117fe63481">FileInfoList</a> *detailList)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method to retrieve all files in a directory matching pattern.  <a href="#5220c8a24a86cde1343dc0442f0a11b1"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#b1e42e1a419b26b1b7c6f26b77dde5a3">mName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> name.  <a href="#b1e42e1a419b26b1b7c6f26b77dde5a3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#bf7ba39bebb760ce55d517aa289096fb">mType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> type code.  <a href="#bf7ba39bebb760ce55d517aa289096fb"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from filesystem folders / directories. 
<p>Definition at line <a class="el" href="OgreFileSystem_8h-source.html#l00042">42</a> of file <a class="el" href="OgreFileSystem_8h-source.html">OgreFileSystem.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d111ff8850ae6536219562a5906dc6de"></a><!-- doxytag: member="Ogre::FileSystemArchive::FileSystemArchive" ref="d111ff8850ae6536219562a5906dc6de" args="(const String &amp;name, const String &amp;archType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::FileSystemArchive::FileSystemArchive           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>archType</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d89960cb80cf490a23cab7b909ffa092"></a><!-- doxytag: member="Ogre::FileSystemArchive::~FileSystemArchive" ref="d89960cb80cf490a23cab7b909ffa092" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::FileSystemArchive::~FileSystemArchive           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5220c8a24a86cde1343dc0442f0a11b1"></a><!-- doxytag: member="Ogre::FileSystemArchive::findFiles" ref="5220c8a24a86cde1343dc0442f0a11b1" args="(const String &amp;pattern, bool recursive, bool dirs, StringVector *simpleList, FileInfoList *detailList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FileSystemArchive::findFiles           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> *&nbsp;</td>
          <td class="paramname"> <em>simpleList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#d87d047326eb42275e3f24117fe63481">FileInfoList</a> *&nbsp;</td>
          <td class="paramname"> <em>detailList</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method to retrieve all files in a directory matching pattern. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>File pattern </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether to cascade down directories </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>simpleList</em>&nbsp;</td><td>Populated if retrieving a simple list </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>detailList</em>&nbsp;</td><td>Populated if retrieving a detailed list </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>currentDir</em>&nbsp;</td><td>The current directory relative to the base of the archive, for file naming </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="c3a99075db0a1e06ee0a856dfa05f5a9"></a><!-- doxytag: member="Ogre::FileSystemArchive::isCaseSensitive" ref="c3a99075db0a1e06ee0a856dfa05f5a9" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::FileSystemArchive::isCaseSensitive           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether this archive is case sensitive in the way it matches files.  
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#4169eee25281ebb54adeb9f06d9a7d80">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="f3fbf5feb7c3875831d22808b3545d75"></a><!-- doxytag: member="Ogre::FileSystemArchive::load" ref="f3fbf5feb7c3875831d22808b3545d75" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FileSystemArchive::load           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Loads the archive. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This initializes all the internal data of the class. </dd></dl>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is ment to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#6a073d74d1fab7d5499a35fab466c1b3">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="8364eb430fccfbe249b64c0dd29c2cb5"></a><!-- doxytag: member="Ogre::FileSystemArchive::unload" ref="8364eb430fccfbe249b64c0dd29c2cb5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FileSystemArchive::unload           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unloads the archive. <p>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is ment to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#5c2927f6a35441ea77262f95e4b0a6a0">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="7c642fb75a5b88aa8bb0366e94302a1a"></a><!-- doxytag: member="Ogre::FileSystemArchive::open" ref="7c642fb75a5b88aa8bb0366e94302a1a" args="(const String &amp;filename) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> Ogre::FileSystemArchive::open           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Open a stream on a given file. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>There is no equivalent 'close' method; the returned stream controls the lifecycle of this file operation. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>The fully qualified name of the file </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A shared pointer to a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> which can be used to read / write the file. If the file is not present, returns a null shared pointer. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#97a32cbab0c58de16f727e17298e5db0">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="5907d6e8da20de62af12d564d9fbd279"></a><!-- doxytag: member="Ogre::FileSystemArchive::list" ref="5907d6e8da20de62af12d564d9fbd279" args="(bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">StringVectorPtr</a> Ogre::FileSystemArchive::list           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List all file names in the archive. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using listFileInfo. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#777370220240813a2595689c913dec16">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="ebb587510a65222aca84fa6f8eb69e0f"></a><!-- doxytag: member="Ogre::FileSystemArchive::listFileInfo" ref="ebb587510a65222aca84fa6f8eb69e0f" args="(bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">FileInfoListPtr</a> Ogre::FileSystemArchive::listFileInfo           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List all files in the archive with accompanying information. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of structures detailing quite a lot of information about all the files in the archive. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#5c1747f4ab92962a5528a263c714dc31">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="47dc8d47bb6a6738a85f62f816bfd7f8"></a><!-- doxytag: member="Ogre::FileSystemArchive::find" ref="47dc8d47bb6a6738a85f62f816bfd7f8" args="(const String &amp;pattern, bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">StringVectorPtr</a> Ogre::FileSystemArchive::find           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Find all file or directory names matching a given pattern in this archive. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using findFileInfo. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#864dc708cbb78b00e7fd8053a8ad28fa">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="2d9eb31d4d17fdb4b35c5ad1c739f1be"></a><!-- doxytag: member="Ogre::FileSystemArchive::findFileInfo" ref="2d9eb31d4d17fdb4b35c5ad1c739f1be" args="(const String &amp;pattern, bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">FileInfoListPtr</a> Ogre::FileSystemArchive::findFileInfo           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Find all files or directories matching a given pattern in this archive and get some detailed information about them. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of file information structures for all files matching the criteria. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#11ea114ff5f17af87eb7b51c82118fae">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="fa703d83c696b6b78dc7efe8114e468e"></a><!-- doxytag: member="Ogre::FileSystemArchive::exists" ref="fa703d83c696b6b78dc7efe8114e468e" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::FileSystemArchive::exists           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Find out if the named file exists (note: fully qualified filename required).  
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#dee2a6cd49a969e4329ea41eaa27e861">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="a4860f997861f44b61a436d55cdcc66b"></a><!-- doxytag: member="Ogre::FileSystemArchive::getName" ref="a4860f997861f44b61a436d55cdcc66b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Archive::getName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the name of this archive. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00100">100</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b0fe79a8deba20a1cc1301f68805b621"></a><!-- doxytag: member="Ogre::FileSystemArchive::getType" ref="b0fe79a8deba20a1cc1301f68805b621" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Archive::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the type code of this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a>. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00186">186</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b1e42e1a419b26b1b7c6f26b77dde5a3"></a><!-- doxytag: member="Ogre::FileSystemArchive::mName" ref="b1e42e1a419b26b1b7c6f26b77dde5a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Archive.html#b1e42e1a419b26b1b7c6f26b77dde5a3">Ogre::Archive::mName</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> name. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00084">84</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bf7ba39bebb760ce55d517aa289096fb"></a><!-- doxytag: member="Ogre::FileSystemArchive::mType" ref="bf7ba39bebb760ce55d517aa289096fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Archive.html#bf7ba39bebb760ce55d517aa289096fb">Ogre::Archive::mType</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> type code. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00086">86</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreFileSystem_8h-source.html">OgreFileSystem.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:41 2008
</p>
</body>
</html>
